const SerialPort = require('serialport')
const fs = require('fs')
const csv=require('csv-parser');




try {
    const jsonString = fs.readFileSync('./parameters.json')
    const parameters = JSON.parse(jsonString)
    // Pipe the data into another stream (like a parser or standard out)
    const port = new SerialPort(parameters.serialport, {
    baudRate: parameters.baudrate
    })
    const SensorDataStream = port.pipe(csv({headers: parameters.fieldnames}));

// Open errors will be emitted as an error event
port.on('error', function(err) {
  console.log('Error: ', err.message)
})

// The open event is always emitted
port.on('open', function() {
  // open logic
  console.log('Serial opened.');
})



// Switches the port into "flowing mode"
SensorDataStream.on('data', function (data) {
  console.log('Data:', data)
})

} catch(err) {
  console.log(err)
  return
}


